#include <tinyNeoPixel.h>

#define F_CPU 20000000
#define PIN 0
#define node_id 2

tinyNeoPixel strip = tinyNeoPixel(5, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  strip.begin();
  strip.show(); 
  Serial.begin(115200);
}

void loop() {
   char str[32];
   char* pch;
   int counter = 0;
   int node, LEDNum, red, green, blue;
   if (Serial.available()) {
     int availableBytes = Serial.available();
     for (int i = 0; i < availableBytes; i++) {
       str[i] = Serial.read();
     }
     node = atoi(strtok(str, ":"));
     if (node == node_id) {
       LEDNum = atoi(strtok(NULL, ":"));
       red = atoi(strtok(NULL, ":"));
       green = atoi(strtok(NULL, ":"));
       blue = atoi(strtok(NULL, ":"));
       if (LEDNum == 100) {
        strip.clear();
       }
       else {
        strip.setPixelColor(LEDNum, red, green, blue);
       }
     }
   }
   strip.show();
   delay(20);
}
